part of tecfy_core_client_package;

class LoginController extends BaseController {
  final formKey = GlobalKey<FormState>();
  TextEditingController usernameController;
  TextEditingController passwordController;
  AccountService service;

  String usernameValidator(String v) =>
      v.isEmpty ? 'Please Enter your Email or Username' : null;
  String passwordValidator(String v) =>
      v.isEmpty ? 'Please Enter your Password' : null;

  LoginController(State<StatefulWidget> state) : super(state) {
    usernameController = TextEditingController();
    passwordController = TextEditingController();
    service = AccountService();
  }

  Future onLogin() async {
    // var status = formKey.currentState.validate();
    // if(!status)return;
    // setLoading();
    // await Future.delayed(Duration(seconds: 2));

    var result = await service.login(
        usernameController.text.trim(), passwordController.text.trim());
    print('================== Login result============');
    print(result);
    print(result.success);
    print(result.message);
    if (result.success) {
      await AccountService.init(context);
      // showMessage("Success",type:MessageType.info);
    } else {
      //  setResume();
      showMessage(result.message ?? "Error", type: MessageType.error);
    }
    // setResume();
    // showMessage('result.message',type:MessageType.error);
  }

  contactUs() async {
    //await service.loginAnonymously();
    // AppNavigator.navigateTo(context, () => HomePage(),replaceAll: true, animationType: AnimationTypes.opacity);
  }
}
