part of tecfy_core_client_package;

class MainAppBar extends AppBar{
  MainAppBar({context,PreferredSizeWidget bottom,IconData backButtonIcon,backButtonFunction ,
                    String title, List<Widget> actions,Color backgroundColor}):
     assert(context != null), 
  super(actions:actions, 
  backgroundColor: backgroundColor,  
  centerTitle:true,
  leading: backButtonIcon == null ? null : IconButton( onPressed: backButtonFunction ?? ()=>Navigator.of(context).pop(), icon: Icon(backButtonIcon)),
  elevation :0.0,
  bottom:bottom,  
  iconTheme: IconThemeData(color: ThemeService.mainColor),
  actionsIconTheme: IconThemeData(color: ThemeService.mainColor),
  title : title == null ? null : Text(title,
    style: TextStyle(color: ThemeService.mainColor)
  ));
}