part of tecfy_core_client_package;

class SplashScreenPage extends StatefulWidget {
  @override
  _SplashScreenPageState createState() => _SplashScreenPageState();
}

class _SplashScreenPageState extends State<SplashScreenPage> {
  bool isLoading = true;
  @override
  void initState() {
    init();
    super.initState();
  }

  init() async {
    //await Future.delayed(Duration(seconds: 10));
    InitService.init(context);
  }

  @override
  Widget build(BuildContext context) {
    return new Material(
        // type: MaterialType.transparency,
        color: Colors.white,
        child: Stack(
          fit: StackFit.expand,
          children: <Widget>[
            // Image.asset('assets/images/splash_back.png', fit: BoxFit.fill),
            Padding(
                padding: EdgeInsets.all(40.0),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: <Widget>[
                    SizedBox(height: 120.0),
                    Text(
                      '${AppLocale.translate(context,'Please wait')}...',
                      style: TextStyle(
                          color: Colors.black,
                          fontSize: 17.0,
                          fontFamily: 'areal',
                          fontWeight: FontWeight.w500),
                    ),
                    // SizedBox(height: 20.0),
                    // Text(
                    //   'WITHY US!',
                    //   style: TextStyle(
                    //       color: Colors.black,
                    //       fontSize: 17.0,
                    //       fontFamily: 'areal',
                    //       fontWeight: FontWeight.w500),
                    // ),
                    // Text(
                    //   'IT\'S ONE FOR ALL...',
                    //   style: TextStyle(
                    //       color: Colors.white,
                    //       fontSize: 17.0,
                    //       fontFamily: 'areal',
                    //       fontWeight: FontWeight.w500),
                    // ),
                    Expanded(
                      child: Container(),
                    ),
                    TecfyCoreApp.logo == null ? Container():  Image(image: TecfyCoreApp.logo.image, height :150.0, width: 200.0),
                    Row(
                      children: <Widget>[
                        Expanded(
                          child: Container(),
                        ),
                        Container(
                            // child: Image.asset('assets/images/logo_white.png',width: 150.0,height: 70.0)
                            ),
                        SizedBox(width: 20.0)
                      ],
                    ),
                    Expanded(
                      child: Container(),
                    ),
                    Center(child: CircularProgressIndicator(valueColor:
                      AlwaysStoppedAnimation<Color>(ThemeService.mainColor)))
                  ],
                ))
          ],
        ));
  }
}
