part of tecfy_core_client_package;

class User{

  String id;
  String username;
  String fullName; 
  String email;
  String mobile;
  String identityNo;
  String code;
  String display;  
  String photoUrl;  
  
  User({this.id,this.username,this.mobile,this.email,this.fullName,this.photoUrl,this.display,this.code,this.identityNo});

  User.fromJson(Map map){
    if(map == null) return;
    id=map['id'].toString();
    username = map['username'] ?? '';
    fullName = map['fullName'] ?? '';
    email= map['email']?? '';
    mobile= map['mobile']?? '';
    identityNo= map['identityNo']?? '';
    code= map['code']?? '';
    display= map['display']?? '';
  }
 
  
  toJson(){
    return {
      'id':id,
      'username':username,
      'fullName':fullName,
      'code':code,
      'mobile':mobile,
      'identityNo':identityNo,
      'email':email,
      'display':display
    };
  }

}