part of tecfy_core_client_package;

class SoundService{
  
  static Soundpool pool;
  static int notificationSoundId;
  static Future init()async{
    try{
    pool = Soundpool(streamType: StreamType.notification);
    notificationSoundId = await rootBundle.load("assets/sound/notification.mp3")
    .then((ByteData soundData) {
                  return pool.load(soundData);
                });    
    }catch(err){
      print('XXXXXXXXXXXXXXXXXX init Sound Error: $err');
    }
  }

  static Future play()async{
    if(notificationSoundId ==null || pool == null)
    {
      return;
    }
    await pool.stop(notificationSoundId);
    await pool.play(notificationSoundId);
  }

}